/*
    Robot Interface
    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    File: input.cpp
*/


#include <windows.h>
#include "stdio.h"

#include "input.h"
#include "display.h"


bool keys[256] = {false};               // Keyboard table


/* Process key down message */
void input_key_down(WPARAM w, LPARAM l)
{
    if (l & REPEAT_CODE) return;  

    keys[w & 0xff] = true;          // Set key

}
/* End of key_down */


/* Process keyup message */
void input_key_up(WPARAM w)
{
    keys[w & 0xff] = false;         // Free key
    

}
/* End of keyup */



